PROMETHEUS-FRR-EXPORTER(1)

NAME
prometheus-frr-exporter - Prometheus exporter for Free Range Routing (FRR)

SYNOPSIS

prometheus-frr-exporter [<flags>]

DESCRIPTION

OPTIONS

-h, --help
    Show context-sensitive help (also try --help-long and --help-man).

--collector.bgp.peer-types
    Enable the frr_bgp_peer_types_up metric (default: disabled).

--collector.bgp.peer-types.keys=type
    Select the keys from the JSON formatted BGP peer description of which the values will be used with the frr_bgp_peer_types_up metric. Supports multiple values (default: type).

--collector.bgp.peer-descriptions
    Add the value of the desc key from the JSON formatted BGP peer description as a label to peer metrics. (default: disabled).

--collector.bgp.peer-groups
    Adds the peer's peer group name as a label. (default: disabled).

--collector.bgp.peer-hostnames
    Adds the peer's hostname as a label. (default: disabled).

--collector.bgp.peer-descriptions.plain-text
    Use the full text field of the BGP peer description instead of the value of the JSON formatted desc key (default: disabled).

--collector.bgp.advertised-prefixes
    Enables the frr_exporter_bgp_prefixes_advertised_count_total metric which exports the number of advertised prefixes to a BGP peer. This is an option for older versions of FRR that don't have PfxSent field (default: disabled).

--collector.bgp.accepted-filtered-prefixes
    Enable retrieval of accepted and filtered BGP prefix counts (default: disabled).

--collector.bgp.next-hop-interface
    Adds the peer's next-hop interface label. (default: disabled).

--frr.socket.dir-path
    Path of of the localstatedir containing each daemon's Unix socket.

--frr.socket.timeout=20s
    Timeout when connecting to the FRR daemon Unix sockets

--frr.vtysh
    Use vtysh to query FRR instead of each daemon's Unix socket (default: disabled, recommended: disabled).

--frr.vtysh.path
    Path of vtysh.

--frr.vtysh.timeout=20s
    The timeout when running vtysh commands (default: 20s).

--frr.vtysh.sudo
    Enable sudo when executing vtysh commands.

--frr.vtysh.options
    Additional options passed to vtysh.

--collector.ospf.instances
    Comma-separated list of instance IDs if using multiple OSPF instances

--collector.route.detailed-routes
    Enable detailed route count of each route type (default: disabled).

--collector.bfd
    Enable the bfd collector (default: enabled, to disable use --no-collector.bfd).

--collector.bgp
    Enable the bgp collector (default: enabled, to disable use --no-collector.bgp).

--collector.bgp6
    Enable the bgp6 collector (default: disabled).

--collector.bgpl2vpn
    Enable the bgpl2vpn collector (default: disabled).

--collector.ospf
    Enable the ospf collector (default: enabled, to disable use --no-collector.ospf).

--collector.pim
    Enable the pim collector (default: disabled).

--collector.route
    Enable the route collector (default: enabled, to disable use --no-collector.route).

--collector.status
    Enable the status collector (default: enabled, to disable use --no-collector.status).

--collector.vrrp
    Enable the vrrp collector (default: disabled).

--web.telemetry-path
    Path under which to expose metrics.

--web.systemd-socket
    Use systemd socket activation listeners instead of port listeners (Linux only).

--web.listen-address=:9342
    Addresses on which to expose metrics and web interface. Repeatable for multiple addresses. Examples: `:9100` or `[::1]:9100` for http, `vsock://:9100` for vsock

--web.config.file
    Path to configuration file that can enable TLS or authentication. See: https://github.com/prometheus/exporter-toolkit/blob/master/docs/web-configuration.md

--log.level=info
    Only log messages with the given severity or above. One of: [debug, info, warn, error]

--log.format=logfmt
    Output format of log messages. One of: [logfmt, json]

--version
    Show application version.